Bug 2025090 (CVE-2022-23452) - CVE-2022-23452 openstack-barbican: Barbican allows anyone with an admin role to add their secrets to a different project's containers
Summary: CVE-2022-23452 openstack-barbican: Barbican allows anyone with an admin role ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-23452
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2043276 2043278 2043277
Blocks: 2025091 2042490
TreeView+ depends on / blocked
 
Reported: 2021-11-19 20:38 UTC by Pedro Sampaio
Modified: 2022-06-22 20:36 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An authorization flaw was found in openstack-barbican, where anyone with an admin role could add secrets to a different project container. This flaw allows an attacker on the network to consume protected resources and cause a denial of service.
Clone Of:
Environment:
Last Closed: 2022-06-22 20:36:29 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5114 0 None None None 2022-06-22 16:06:05 UTC

Description Pedro Sampaio 2021-11-19 20:38:31 UTC
The default policy for adding a secret to a container allows anyone with the "admin" role to add a secret their project owns to a container that is owned by a different project.

References:

https://bugzilla.redhat.com/show_bug.cgi?id=2022908

Comment 1 Summer Long 2021-12-13 23:42:45 UTC
Upstream issue: https://storyboard.openstack.org/#!/story/2009297

Comment 2 Summer Long 2022-01-20 23:27:40 UTC
Created openstack-barbican tracking bugs for this issue:

Affects: openstack-rdo [bug 2043278]

Comment 7 errata-xmlrpc 2022-06-22 16:06:02 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 16.2

Via RHSA-2022:5114 https://access.redhat.com/errata/RHSA-2022:5114

Comment 8 Product Security DevOps Team 2022-06-22 20:36:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-23452


Note You need to log in before you can comment on or make changes to this bug.